@charset "UTF-8";
/* CSS Document */

*,
*::after,
*::before {
  box-sizing: border-box;
}

body {
  margin: 0;
   <!-- position: relative;-->
}

:root {
  --bar-width: 60px;
  --bar-height: 8px;
  --hamburger-gap: 6px;
  --foreground: #006C98;
  --background: white;
  --hamburger-margin: 8px;
  --animation-timing: 200ms ease-in-out;
  --hamburger-height: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2)}

.hamburger-menu {
  --x-width: calc(var(--hamburger-height) * 1.41421356237);
    display: flex;
    flex-direction: column;
    gap: var(--hamburger-gap);
    width: max-content;
    position: absolute;
    top: var(--hamburger-margin);
    left: var(--hamburger-margin);
    z-index: 4;
    cursor: pointer;
}

.hamburger-menu:has(input:checked) {
  --foreground: #006C98;
  --background: #006C98;
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible {
  border: 1px solid var(--background);
  box-shadow: 0 0 0 1px var(--foreground);
}

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input {
  content: "";
  width: var(--bar-width);
  height: var(--bar-height);
  background-color: var(--foreground);
  border-radius: 9999px;
  transform-origin: left center;
  transition: opacity var(--animation-timing), width var(--animation-timing),
    rotate var(--animation-timing), translate var(--animation-timing),
    background-color var(--animation-timing);
}

.hamburger-menu input {
  appearance: none;
  padding: 0;
  margin: 0;
  outline: none;
  pointer-events: none;
}

.hamburger-menu:has(input:checked)::before {
  rotate: 45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / -2);
}

.hamburger-menu:has(input:checked)::after {
  rotate: -45deg;
  width: var(--x-width);
  translate: 0 calc(var(--bar-height) / 2);
}

.hamburger-menu input:checked {
  opacity: 0;
  width: 0;
}

.sidebar {
    transition: translate var(--animation-timing);
    translate: -100%;
    padding: .5rem .25rem;
    padding-top: calc(var(--hamburger-height) + var(--hamburger-margin));
    background-color: var(--foreground);
    color: var(--background);
    max-width: 11rem;
    min-height: 300px;
    max-height: 0px;
    z-index: 3;
}

.hamburger-menu:has(input:checked) + .sidebar {
  translate: 0;
}

a {
    color: #006C98;
    text-decoration: none;
}
nav div ul {
    font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, sans-serif;
    font-size: 18px;
    list-style-type: none;
    line-height: 36px;
}
div ul li a {
    color: #FFFFFF;
    text-decoration: none;
    padding-top: 0px;
    z-index: 2;
}
header img {
    max-width: 300px;
    left: auto;
    right: auto;
    margin-left: auto;
    margin-right: auto;
    max-height: 35px;
    padding-top: 0px;
    margin-bottom: 18px;
    margin-top: 8px;
}

.img-center {
    display: block;
}

.footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: fixed;
    left: 20%;
    right: 20%;
    bottom: 0;
    text-align: center;
    background-color: #006E9C;
    font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, sans-serif;
    color: #ffffff;
    font-size: small;
    margin-top: 40px;
    padding: 20px;
}

.foot a {
    color:#95DFFF;
    text-decoration: none;
}


/*editable area*/
.container {
    display: inherit;
    padding: 2rem 12rem;
    max-width: 1100px;
    align-items: center;
    top: 75px;
    position: absolute;
    z-index: -1;
    color: #4E4E4E;
    font-family: "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, "sans-serif";
    line-height: 1.45rem;
}

.container h1 {
    font-size: 2rem;
    line-height: 1.25;
    color:#006E9C
}

.mainheading{
    padding-bottom: 15px;
}
.articlebox {
    display: flex;
    flex-direction: column
}

.article {
    flex-grow: 1;
    padding-bottom: 10px;
    padding-top: 10px;
}

.booktitle {
    font-style: italic;
}

.atribution {
    font-size: small;
    float: right;
}

.more-space {
    min-height: 50px;
    background-color: white;
    padding-bottom: 50px;
}

.more-space hr {
    height: 7px;
    background-color: #006E9C
}

.more-space a {
    color: #006C98;
    text-decoration: none;
}

.more-space ul li {
    padding-bottom: .5rem;
}

.img-floatright {
    float: right;
    margin: 10px;
}

.img-floatleft {
    float: left;
    margin-right: 15px;
    margin-bottom: 5px;
}

.img-resize {
    width: 100%;
    height: auto;
}

@media (min-width: 768px){
}

@media (min-width: 1024px){
}
